Subject: [Sigtran] [M3UA] DAUD message RC

From: Santhana <[email-masked]>
Date: Mon, 18 Apr 2011 14:49:18 +0530

Hi all

            The RFC4666 says that DAUD message format is same as DUNA mesg.
Now when an ASP send DAUD message to SGP about some Destinations, does it
need to include all the associated RCs of the Destinations which it is
Auditing ? 

Regards

+Santhana

---

From: "Barry Nagelberg" <[email-masked]>
Date: Mon, 18 Apr 2011 09:09:07 -0400

Santhana,

It depends.

This is why the Routing Context parameter is classified as "Conditional" for all of the Signalling Network Management
(SSNM) Messages. There are several cases, the first two of which are enumerated in the description of the Routing
Context parameter, at the top of page 38 of the RFC:

A. Where a Routing Key has not been coordinated between the SGP and ASP, sending of Routing Context is not required.

B. Where multiple Routing Keys and Routing Contexts are used across a common association, the Routing Context(s) MUST be
sent to identify the concerned traffic flows for which the DUNA message applies, ...

There is a third case, which is related to case A:
C. Where exactly one Routing Key has been configured for a given association, sending of Routing Context is not required
on that association.

Case C is documented in Section 4.3.4.3. "ASP Active Procedures":
<snip>
In the case where an ASP Active message does not contain a Routing
Context parameter, the receiver must know, via configuration data,
which Application Server(s) the ASP is a member.
<snip>

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Santhana
Sent: Monday, April 18, 2011 5:19 AM
To: [email-masked]
Subject: [Sigtran] [M3UA] DAUD message RC

Hi all
            The RFC4666 says that DAUD message format is same as DUNA mesg. Now when an ASP send DAUD message to SGP
about some Destinations, does it need to include all the associated RCs of the Destinations which it is Auditing ?

Regards
+Santhana

---

From: Santhana <[email-masked]>
Date: Mon, 18 Apr 2011 18:37:48 +0530

Hi Barry
	Thanks for ur reply. I should have been more specific in my first
mail. In the RC mandatory case(where multiple RKs and RCs are coordinated),
in DAUD message which RC should be sent 1) or 2) below. 

1) list of RCs corresponding(to identify the traffic flow of) to the
Destinations being Audited
2) RC of the Destination that is sending the DAUD message

Regards
+Santhana

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Barry Nagelberg
Sent: Monday, April 18, 2011 6:39 PM
To: SIGTRAN Mailing List
Subject: Re: [Sigtran] [M3UA] DAUD message RC

Santhana,

It depends.

This is why the Routing Context parameter is classified as "Conditional" for
all of the Signalling Network Management
(SSNM) Messages. There are several cases, the first two of which are
enumerated in the description of the Routing
Context parameter, at the top of page 38 of the RFC:

A. Where a Routing Key has not been coordinated between the SGP and ASP,
sending of Routing Context is not required.

B. Where multiple Routing Keys and Routing Contexts are used across a common
association, the Routing Context(s) MUST be
sent to identify the concerned traffic flows for which the DUNA message
applies, ...

There is a third case, which is related to case A:
C. Where exactly one Routing Key has been configured for a given
association, sending of Routing Context is not required
on that association.

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Santhana
Sent: Monday, April 18, 2011 5:19 AM
To: [email-masked]
Subject: [Sigtran] [M3UA] DAUD message RC

Hi all
            The RFC4666 says that DAUD message format is same as DUNA mesg.
Now when an ASP send DAUD message to SGP
about some Destinations, does it need to include all the associated RCs of
the Destinations which it is Auditing ?

Regards
+Santhana

_______________________________________________
Sigtran mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sigtran

---

From: "Barry Nagelberg" <[email-masked]>
Date: Mon, 18 Apr 2011 09:35:17 -0400

Santhana,

The RC sent in the DAUD messages identifies which AS in the ASP is sending the audit about the SS7 destination point.

The SS7 destination point being audited is identified by the "Affected Point Code" parameter of the DAUD msg, not by the
RC.

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: Santhana [mailto:[email-masked]]
Sent: Monday, April 18, 2011 9:08 AM
To: 'Barry Nagelberg'; 'SIGTRAN Mailing List'
Subject: RE: [Sigtran] [M3UA] DAUD message RC

Hi Barry

Regards
+Santhana

-----Original Message-----

Santhana,

It depends.

Barry Nagelberg
Adax, Inc.

-----Original Message-----

Hi all

Regards
+Santhana

---

From: "David Laight" <[email-masked]>
Date: Wed, 27 Apr 2011 09:07:20 +0100

My interpretation is that the requirement for the RC depends on the
actual implemenation
of the SGP and the ASP.
This has all the appearances of a fudge to make two existing
implementations
meet the standard.
 
The SGP has the information available to respond to a DUNA without
looking
at an RC in the message - even when there are multiple RC.
(Similarly both the SGP and ASP can process data messages without
needing
an RC in the message.)
 
So the requirement for an RC in DAUD by the SGP isn't absolute.
 
Similar interpretations apply to the ASP - which may expect any RC be
sent back in the DUNA/DAVA response.
 
    David

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Santhana
	Sent: 18 April 2011 10:19
	To: [email-masked]
	Subject: [Sigtran] [M3UA] DAUD message RC

	Hi all

	            The RFC4666 says that DAUD message format is same as
DUNA mesg. Now when an ASP send DAUD message to SGP about some
Destinations, does it need to include all the associated RCs of the
Destinations which it is Auditing ? 

	Regards

	+Santhana

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 27 Apr 2011 04:54:14 -0600

David,

There are many instances where an SG would be unable to process
a DAUD message without an RC in it.  Here are a couple:

1. The SG is an STP that provides GWS, EGWS or BGWS and it is
   unable to determine whether a destination is prohibited or
   allowed to an AS without knowing which AS is asking.

2. The SG supports multiple networks (e.g. national and
   international) and cannot know to which network the
   destinations in the DAUD apply without knowing the
   network (indicated by RC) of the requesting AS.

3. The SG provides prioritized routes based on originator and
   the congestion status is different for different AS (because
   they use different routes).  Therefore, the SG does not know
   what SCON status to report unless the requesting AS is
   identified by RC.

4. Two SG are configured as multiple SG as STP in an SS7 network
   supporting "restricted" destinations.  Because the ASP TM
   status can be different for different AS, the restricted
   status depends upon the AS requesting the status.

I could go on...

Because the ASP should not need to know all of the logic in the
SG and in particular when an RC would be absolutely required or
not, it is relieved of this a priori knowledge burden by the
requirement that it always simply identify the AS in the DAUD.
Therefore, where an ASP is configured for multiple AS, it is
required to provide the RC.

--brian

David Laight wrote:                            (Wed, 27 Apr 2011 09:07:20)
>      __________________________________________________________________
> 
>    From: [email-masked] [mailto:[email-masked]] On
>    Behalf Of Santhana
>                The RFC4666 says that DAUD message format is same as DUNA
>    mesg. Now when an ASP send DAUD message to SGP about some Destinations,
>    does it need to include all the associated RCs of the Destinations
>    which it is Auditing ?
> 
> 
>    Regards
> 
>    +Santhana
> 
>    Registered Address Lakeside, Bramley Road, Mount Farm, Milton Keynes,
>    MK1 1PT, UK
>    Registration No: 1397386 (Wales)
> 
>     P Please consider the environment and don't print this e-mail unless
>                              you really need to

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/